Skip to main content
GET
/
api
/
v1
/
archive
/
payments
cURL
curl --location --request GET "https://api.kashimi.tech/api/v1/archive/payments" 
--header "Accept: application/json" 
--header "Authorization: Bearer YOUR_ACCESS_TOKEN"
[
  {
    "id": "5fad63ad-f79d-4505-b068-88450100750d",
    "createdAt": "2023-04-05T17:02:11.954Z",
    "updatedAt": "2023-04-05T17:02:11.954Z",
    "provider": {
      "id": "a5613c23-0317-4c51-a6fe-6723993e43e9",
      "preferences": {
        "countryCodes": {
          "list": [
            "US",
            "GB",
            "LT"
          ],
          "default": "LT"
        }
      }
    },
    "paymentScheme": {
      "name": "SEPA",
      "preferences": {
        "mode": "INSTANT",
        "feePaidBy": "SENDER"
      }
    },
    "sender": {
      "account": {
        "number": {
          "type": "IBAN",
          "value": "DE89370400440532013000"
        },
        "currency": "<string>"
      },
      "address": {
        "city": "Amsterdam",
        "streetName": "Damstraat",
        "buildingNumber": "1A",
        "postCode": "1012AB"
      },
      "credentials": {}
    },
    "recipient": {
      "account": {
        "number": {
          "type": "IBAN",
          "value": "DE89370400440532013000"
        }
      },
      "name": "<string>",
      "address": {
        "city": "Amsterdam",
        "streetName": "Damstraat",
        "buildingNumber": "1A",
        "postCode": "1012AB"
      }
    },
    "amount": 100,
    "currency": "EUR",
    "remittanceInformation": {},
    "metadata": {
      "redirectUri": "https://example.com/redirect",
      "psuIpAddress": "192.168.1.1",
      "psuUserAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/91.0.4472.124 Safari/537.36",
      "endToEndId": "E2E123456789",
      "webhookUrl": "https://example.com/webhook"
    }
  }
]

Headers

Authorization
string
required

Bearer token for authentication

Query Parameters

metadata[endToEndId]
string

Filter payments by end-to-end ID

Example:

"1234567890"

Response

Returns a list of payments

id
string
required

Unique payment identifier

Example:

"5fad63ad-f79d-4505-b068-88450100750d"

createdAt
string
required
Example:

"2023-04-05T17:02:11.954Z"

updatedAt
string
required
Example:

"2023-04-05T17:02:11.954Z"

provider
object
required

Payment provider details.

paymentScheme
object
required

Payment scheme used

sender
object
required
recipient
object
required
amount
number
required

Payment amount

Example:

100

currency
enum<string>
required

Currency code

Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLE,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UYW,
UZS,
VED,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XBA,
XBB,
XBC,
XBD,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
XSU,
XTS,
XUA,
XXX,
YER,
ZAR,
ZMW,
ZWG
Example:

"EUR"

remittanceInformation
object
required

Unstructured or structured remittance information.

metadata
object
required